#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int i,n,k,a=0;

    cin>>n;
    n++;

    vector<int> x(n);
    vector<int> y(n);
    vector<int> z(n);

    x[0]=0;
    y[0]=0;
    z[0]=0;

    for(i=1;i<n;i++){
        cin>>x[i];
    }
    for(i=1;i<n;i++){
        cin>>y[i];
    }
    for(i=1;i<n;i++){
        cin>>z[i];
    }


    for(i=1;i<n;i++){
        for(k=1;k<n;k++){
                if(x[i]==y[z[k]])a++;



        }

    }
    cout<<a;



    return 0;
}